Bug 508408 - preupgrade needs util-linux-ng requires, not e2fsprogs, for blkid
preupgrade needs util-linux-ng requires, not e2fsprogs, for blkid
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 18:21 EDT by Eric Sandeen
Modified: 2014-01-21 18:10 EST (History)
2 users (show)

See Also:
Fixed In Version: preupgrade-1.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 12:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2009-06-26 18:21:17 EDT
preupgrade needs /sbin/blkid, which is now in util-linux-ng as of 2.15.1-0.1, I think, rather than e2fsprogs, so the e2fsprogs requires can be dropped, and a util-linux-ng requires should be added.

-Eric
Comment 1 Bug Zapper 2009-11-16 05:29:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2010-04-16 10:34:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-04 06:56:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Eric Sandeen 2010-11-04 11:59:34 EDT
AFAIK this is still a bug.
Comment 5 Eric Sandeen 2011-12-06 12:13:36 EST
Well, I guess this was fixed a couple years ago in 1.1.1

Note You need to log in before you can comment on or make changes to this bug.